QwtPlotAbstractCanvas(3)

NAME
QwtPlotAbstractCanvas - Base class for all type of plot canvases.

SYNOPSIS

#include <qwt_plot_abstract_canvas.h>

Inherited by QwtPlotAbstractGLCanvas, and QwtPlotCanvas.

  Public Types
enum FocusIndicator { NoFocusIndicator, CanvasFocusIndicator, ItemFocusIndicator }
Focus indicator The default setting is NoFocusIndicator.

  Public Member Functions
QwtPlotAbstractCanvas (QWidget *canvasWidget)
Constructor.
virtual ~QwtPlotAbstractCanvas ()
Destructor.
QwtPlot * plot ()
Return parent plot widget.
const QwtPlot * plot () const
Return parent plot widget.
void setFocusIndicator (FocusIndicator)
FocusIndicator focusIndicator () const
void setBorderRadius (double)
double borderRadius () const

  Protected Member Functions
QWidget * canvasWidget ()
const QWidget * canvasWidget () const
virtual void drawFocusIndicator (QPainter *)
virtual void drawBorder (QPainter *)
virtual void drawBackground (QPainter *)
Helper function for the derived plot canvas.
void fillBackground (QPainter *)
Helper function for the derived plot canvas.
void drawCanvas (QPainter *)
Draw the plot to the canvas.
void drawStyled (QPainter *, bool)
Helper function for the derived plot canvas.
void drawUnstyled (QPainter *)
Helper function for the derived plot canvas.
QPainterPath canvasBorderPath (const QRect &rect) const
void updateStyleSheetInfo ()
Update the cached information about the current style sheet.

Detailed Description

Base class for all type of plot canvases.

Definition at line 21 of file qwt_plot_abstract_canvas.h.

Member Enumeration Documentation

  enum QwtPlotAbstractCanvas::FocusIndicator

Focus indicator The default setting is NoFocusIndicator.

See also
    setFocusIndicator(), focusIndicator(), drawFocusIndicator()

Enumerator

NoFocusIndicator
    Don't paint a focus indicator.

CanvasFocusIndicator
    The focus is related to the complete canvas. Paint the focus indicator using drawFocusIndicator()

ItemFocusIndicator
    The focus is related to an item (curve, point, ...) on the canvas. It is up to the application to display a focus indication using f.e. highlighting.

Definition at line 30 of file qwt_plot_abstract_canvas.h.

Constructor & Destructor Documentation

  QwtPlotAbstractCanvas::QwtPlotAbstractCanvas (QWidget * canvasWidget) [explicit]

Constructor.

Parameters
    canvasWidget plot canvas widget

Definition at line 534 of file qwt_plot_abstract_canvas.cpp.

Member Function Documentation

  double QwtPlotAbstractCanvas::borderRadius () const

Returns
    Radius for the corners of the border frame

See also
    setBorderRadius()

Definition at line 613 of file qwt_plot_abstract_canvas.cpp.

  QPainterPath QwtPlotAbstractCanvas::canvasBorderPath (const QRect & rect) const [protected]

Returns
    Path for the canvas border

Definition at line 619 of file qwt_plot_abstract_canvas.cpp.

  QWidget * QwtPlotAbstractCanvas::canvasWidget () [protected]

Returns
    canvas widget

Definition at line 872 of file qwt_plot_abstract_canvas.cpp.

  const QWidget * QwtPlotAbstractCanvas::canvasWidget () const [protected]

Returns
    canvas widget

Definition at line 878 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractCanvas::drawBorder (QPainter * painter) [protected], [virtual]
Draw the border of the canvas

Parameters
    painter Painter

Reimplemented in QwtPlotCanvas.

Definition at line 628 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractCanvas::drawFocusIndicator (QPainter * painter) [protected], [virtual]
Draw the focus indication

Parameters
    painter Painter

Definition at line 587 of file qwt_plot_abstract_canvas.cpp.

  QwtPlotAbstractCanvas::FocusIndicator QwtPlotAbstractCanvas::focusIndicator () const

Returns
    Focus indicator

See also
    FocusIndicator, setFocusIndicator()

Definition at line 578 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractCanvas::setBorderRadius (double radius)
Set the radius for the corners of the border frame

Parameters
    radius Radius of a rounded corner

See also
    borderRadius()

Definition at line 604 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractCanvas::setFocusIndicator (FocusIndicator focusIndicator)
Set the focus indicator

See also
    FocusIndicator, focusIndicator()

Definition at line 568 of file qwt_plot_abstract_canvas.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.